=== debian/changelog ===
ros-iron-cartographer-ros (2.0.9001-2jammy) jammy; urgency=high

  * fix cmake to prevent multiple definitions (#63 <https://github.com/ros2/cartographer_ros/issues/63>)
  * Contributors: Wolf Vollprecht

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-cartographer-ros (2.0.9000-2jammy) jammy; urgency=high

  * Update to latest upstream, as well as new port to ROS 2.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-cartographer-ros (1.0.0-2jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.3.0...1.0.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 May 2018 16:00:00 -0000

ros-iron-cartographer-ros (0.3.0-2jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.2.0...0.3.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 22 Nov 2017 16:00:00 -0000

ros-iron-cartographer-ros (0.2.0-2jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.1.0...0.2.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 18 Jun 2017 16:00:00 -0000

ros-iron-cartographer-ros (0.1.0-2jammy) jammy; urgency=high

  * First unstable development release

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 May 2017 16:00:00 -0000
