=== debian/control ===
Source: ros-iron-cartographer-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), google-mock, libabsl-dev, libeigen3-dev, libgflags-dev, libgoogle-glog-dev, libpcl-dev, python3-sphinx, ros-iron-ament-cmake, ros-iron-builtin-interfaces, ros-iron-cartographer, ros-iron-cartographer-ros-msgs, ros-iron-geometry-msgs, ros-iron-nav-msgs, ros-iron-pcl-conversions, ros-iron-rclcpp, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: https://github.com/cartographer-project/cartographer_ros
Standards-Version: 3.9.2

Package: ros-iron-cartographer-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libabsl-dev, libeigen3-dev, libgflags-dev, libgoogle-glog-dev, libpcl-dev, ros-iron-builtin-interfaces, ros-iron-cartographer, ros-iron-cartographer-ros-msgs, ros-iron-geometry-msgs, ros-iron-launch, ros-iron-nav-msgs, ros-iron-pcl-conversions, ros-iron-rclcpp, ros-iron-robot-state-publisher, ros-iron-rosbag2-cpp, ros-iron-rosbag2-storage, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
 This package provides Cartographer's ROS integration.
